Jak zainstalować AceStream w systemie Linux i nie umrzeć próbując

Ci z nas, którzy kochają sport i nie mają dostępu do wszystkich aktualnych kanałów sportowych, generalnie borykają się z problemem, że aby się nim cieszyć, musimy korzystać z różnych stron, które transmitują mecze online, większość z nich prosi zainstaluj AceStream, który wydaje się być nieco skomplikowany do zainstalowania w systemie Linux.

W tym przewodniku pokażemy, jak to zrobić zainstaluj AceStream w systemie Linux bez umierania w tej próbie, dając rozwiązania najczęstszych dzisiejszych problemów. Za jego użycie i zawartość, do której uzyskujesz dostęp, odpowiadasz całkowicie.

Co to jest AceStream?

AceStream to platforma multimedialna dość innowacyjny, który podniósł reprodukcję materiałów audiowizualnych w Internecie na wyższy poziom. W tym celu wdrożyła uniwersalnego menedżera do ładowania plików multimedialnych, który wykorzystuje najbardziej zaawansowane technologie P2P, gwarantując sprawny proces przechowywania i transmisji danych.

Oprogramowanie Ace Stream oferuje nam szereg korzyści, w których możemy wyróżnić:

  • Możliwość oglądania transmisji online (telewizja, niestandardowe strumienie, filmy, bajki itp.), Z wysoką jakością dźwięku i obrazu.
  • Słuchaj muzyki online w formacie, który nie traci na jakości.
  • Przeglądaj torrenty online, nie musisz czekać na pełne pobranie.
  • Wyświetlaj treści na zdalnych urządzeniach (Apple TV, Chromecast itp.) Za pośrednictwem protokołów komunikacyjnych, takich jak AirPlay, Google Cast i inne.
  • Umożliwia integrację z różnymi aplikacjami. Zainstaluj AceStream w systemie Linux

Jak zainstalować AceStream w systemie Linux

Aby zainstalować AceStream w systemie Linux, musimy wykonać różne kroki w zależności od używanej dystrybucji, skupimy się na Arch Linux i Ubuntu, ale mamy nadzieję, że w przyszłości będziemy mogli zainstalować go na innych dystrybucjach.

Zainstaluj AceStream na Arch Linux i pochodnych

Głównym powodem, dla którego napisałem ten artykuł, jest to, że wielu miało problemy z instalacją AceStream na Arch Linux, Antergos, Manjaros i pochodnych, główną przyczyną jest to, że pkgbuild wtyczki acestream-mozilla-wtyczka Daje błąd podczas instalacji, rozwiązanie jest niezwykle proste.

Zamierzamy zainstalować acestream-mozilla-wtyczka który również nas zainstaluje silnik acestream y acestream-player-dane jakie pakiety są potrzebne do odtworzenia AceStream z Firefoksa.

Przede wszystkim musimy otworzyć terminal i wykonać następujące polecenie:
gpg --keyserver pgp.mit.edu --recv-keys FCF986EA15E6E293A5644F10B4322F04D67658D8

Naprawi problem z weryfikacją, który uniemożliwia zainstalowanie zależności niezbędnej do zainstalowania acestream-mozilla-wtyczka.

Następnie wykonujemy następujące polecenie

yaourt -S acestream-mozilla-plugin

Wielokrotnie będziemy pytani, czy chcemy zainstalować różne zależności, musimy wszystkim powiedzieć tak.

Zainstaluj AceStream na Ubuntu i pochodnych

Zainstaluj AceStream na Ubuntu 14.04 i pochodnych

Dla użytkowników ubuntu i pochodnych do wersji 14.04 instalacja AceStream będzie dość prosta, wystarczy, że wykonają następujące polecenia z terminala:

echo 'deb http://repo.acestream.org/ubuntu/ trusty main' | sudo tee /etc/apt/sources.list.d/acestream.list sudo wget -O - http://repo.acestream.org/keys/acestream.public.key | sudo apt-key add - sudo apt-get update sudo apt-get install acestream-full

Zainstaluj AceStream na Ubuntu 16.04 i pochodnych

Ci, którzy będą musieli trochę bardziej walczyć to użytkownicy Ubuntu 16.04 i pochodnych, ponieważ acestream nie ma wsparcia dla tej wersji, ale dzięki temu artykuł, Udało mi się go zainstalować.

Pierwszą rzeczą, którą zamierzamy zrobić, jest pobranie i zainstalowanie niektórych zależności, których nie będziesz w stanie pobrać z oficjalnych repozytoriów, upewnij się, że zainstalowałeś odpowiednie dla architektury twojej dystrybucji:

Architektura 64-bitowa:

  1. Pobierz i zainstaluj libgnutls-deb0-28_3.3.15-5ubuntu2_amd64.deb możesz to zrobić z poniższego linku: http://launchpadlibrarian.net/216005292/libgnutls-deb0-28_3.3.15-5ubuntu2_amd64.deb
  2. Pobierz i zainstaluj w kolejności, w jakiej przedstawione są następujące zależności:  acestream-player-compat_3.0.2-1.1_amd64.deb; acestream-engine_3.0.3-0.2_amd64.deb; acestream-player-data_3.0.2-1.1_amd64.deb; acestream-player_3.0.2-1.1_amd64.deb Możesz pobrać każdy z poniższych linków: https://drive.google.com/folderview?id= … e_web#list

Architektura 32-bitowa:

  1. Pobierz i zainstaluj libgnutls-deb0-28_3.3.15-5ubuntu2_i386.deb możesz to zrobić z poniższego linku: http://launchpadlibrarian.net/216005191/libgnutls-deb0-28_3.3.15-5ubuntu2_i386.deb
  2. Pobierz i zainstaluj w kolejności, w jakiej przedstawione są następujące zależności: acestream-player-compat_3.0.2-1.1_i386.deb; acestream-engine_3.0.3-0.2_i386.deb; acestream-player-data_3.0.2-1.1_i386.deb; acestream-player_3.0.2-1.1_i386.deb Możesz pobrać każdy z poniższych linków: https://drive.google.com/folderview?id= … e_web#list

Następnie musimy kontynuować zwykłą instalację AceStream, tak jak to zrobiliśmy w wersji 14.04, otworzyć terminal i wykonać:

echo 'deb http://repo.acestream.org/ubuntu/ trusty main' | sudo tee /etc/apt/sources.list.d/acestream.list sudo wget -O - http://repo.acestream.org/keys/acestream.public.key | sudo apt-key add - sudo apt-get update sudo apt-get install acestream-full

W niektórych przypadkach konieczne jest uruchomienie usługi acestream-engine.service, w tym celu wykonujemy następujące polecenia z terminala:

systemctl uruchom acestream-engine.service systemctl włącz acestream-engine.service

Mamy nadzieję, że dzięki temu samouczkowi spodoba Ci się ten wspaniały protokół transmisji multimediów, który wykorzystuje wszystkie możliwości technologii P2P.


Treść artykułu jest zgodna z naszymi zasadami etyka redakcyjna. Aby zgłosić błąd, kliknij tutaj.

41 komentarzy, zostaw swoje

Zostaw swój komentarz

Twój adres e-mail nie zostanie opublikowany. Wymagane pola są oznaczone *

*

*

  1. Odpowiedzialny za dane: Miguel Ángel Gatón
  2. Cel danych: kontrola spamu, zarządzanie komentarzami.
  3. Legitymacja: Twoja zgoda
  4. Przekazywanie danych: Dane nie będą przekazywane stronom trzecim, z wyjątkiem obowiązku prawnego.
  5. Przechowywanie danych: baza danych hostowana przez Occentus Networks (UE)
  6. Prawa: w dowolnym momencie możesz ograniczyć, odzyskać i usunąć swoje dane.

  1.   Julio Cesar Campos powiedział

    Cóż, post, ale przynajmniej w archlinux i to był mój przypadek, potrzebujesz: "systemctl start acestream-engine.service" i "systemctl enable acestream-engine.service", aby działał.

    1.    jaszczurka powiedział

      Czy testowałeś to w przeglądarce Firefox, czy korzystałeś z innej przeglądarki?

  2.   UserDebian powiedział

    Czy ktoś wie, jak sprawić, by działał na Debianie 9?

  3.   Julio Cesar Campos powiedział

    Firefox na archlinux

  4.   gecoxx powiedział

    Nie wiem, czy opublikowano mój poprzedni komentarz… Powtarzam! Nie wiem, ile godzin trwa wykonywanie tego cholernego polecenia w terminalu, i że wstawiłem –noconfirm, i ostatecznie to nie działa !!
    kolejny post, który jest bezużyteczny!

    próba instalacji na Manjaro

    1.    jaszczurka powiedział

      Kochanie, że to nie zadziałało, u mnie zadziałało idealnie, zresztą spróbuj wykonać te 2 polecenia:
      „Systemctl start acestream-engine.service” i „systemctl enable acestream-engine.service”

  5.   José powiedział

    dobry

    Wszystkie kroki udało mi się wykonać bez problemu. Ale kiedy próbowałem uruchomić usługę z terminala, przyniosło mi to dwie awarie;
    systemctl uruchom acestream-engine.service
    Nie udało się uruchomić acestream-engine.service: nie znaleziono jednostki acestream-engine.service.
    systemctl włącz acestream-engine.service
    Nie udało się wykonać operacji: nie ma takiego pliku lub katalogu

    1.    gustavo powiedział

      Dokładnie to samo przytrafiło się mnie. terminal odsyła do mnie te polecenia z tymi błędami.

  6.   Juan M powiedział

    Bardzo dziękuję za wiadomość! W przypadku korzystania z Ubuntu 16.10 64 bity nie będzie można zainstalować pliku „acestream-player-data_3.0.2-1.1_amd64.deb”. Najpierw muszą pobrać i zainstalować te pakiety:

    libavcodec-ffmpeg56_2.8.6-1ubuntu2_amd64.deb
    liblivemedia50_2016.02.09-1_amd64.deb
    libswresample-ffmpeg1_2.8.6-1ubuntu2_amd64.deb
    libavformat-ffmpeg56_2.8.6-1ubuntu2_amd64.deb
    libpng12-0_1.2.54-1ubuntu1_amd64.deb
    libswscale-ffmpeg3_2.8.6-1ubuntu2_amd64.deb
    libavutil-ffmpeg54_2.8.6-1ubuntu2_amd64.deb
    libpostproc-ffmpeg53_2.8.6-1ubuntu2_amd64.deb
    libwebp5_0.4.4-1.1_amd64.deb

    Prawdopodobnie potrzebna jest inna zależność, która jest w repozytoriach.
    Pozdrowienia!

  7.   Miles powiedział

    Dobra.
    Wtyczka acestream-mozilla-plugin przestała działać w przeglądarce Firefox 52, podobnie jak wiele innych wtyczek NPAPI.

  8.   Darco powiedział

    Inną bardzo dobrą i prostą opcją jest użycie dockera i stanie się niezależnym od systemu operacyjnego. Używając aceproxy, możesz go odtworzyć-

    Napisałem mały poradnik i skrypt, aby ułatwić wykonanie.
    https://gist.github.com/alex-left/7967dac44f2d2e31eabba2fae318a402

  9.   David Martin powiedział

    W części instalowania go z Ubuntu 16.04, kiedy mówisz, pobierz i zainstaluj te pliki, jak je zainstalować? Kiedy je pobieram i rozpakowuję, niektóre są tylko plikami typu libreoffice, a inne nie wiem, jak je „zainstalować”.
    Z góry dziękuję i pozdrawiam.
    David.

  10.   wafe powiedział

    Albo klucze znowu nie działają, albo jest jakiś błąd w pakietach, ale w arch i manjaro nie da się go zainstalować.
    Kiedy próbujesz zainstalować zależność (qwebquit) lub coś w tym stylu, przechodzi w pętlę i nie ma sposobu.
    Czy ktoś znalazł rozwiązanie?
    dzięki

    1.    Alejandro powiedział

      Witam, aby zainstalować w arch linux, musisz wykonać następujące czynności:
      -Zainstaluj pakiet 'acestream-launcher' z yaourt za pomocą 'yaourt -S acestream-launcher' (pakiet, który zamierzamy włączyć jako następny, jest automatycznie pobierany do Ciebie)
      -Włącz acestream-engine.service, wchodzimy do terminala iw trybie ROOT stawiamy co następuje
      -systemctl uruchom acestream-engine.service
      -systemctl włącz acestream-engine.service
      Po tym zrestartowałem sprzęt, nie wiem czy to będzie konieczne ale tak na wszelki wypadek
      -To powinno wystarczyć, ale w ostatnich aktualizacjach Archa coś schrzanili i to nie działa, więc szukali tymczasowego rozwiązania, jakim jest pobranie pliku, jest to:
      - https://archive.archlinux.org/packages/p/python2-m2crypto/python2-m2crypto-0.23.0-2-x86_64.pkg.tar.xz
      źródło: https://aur.archlinux.org/packages/acestream-launcher/ (w komentarzach)
      po pobraniu udajemy się do terminala i przechodzimy do folderu, w którym go pobraliśmy,
      Kontynuujemy instalację za pomocą 'sudo pacman -U python2-m2crypto-0.23.0-2-x86_64.pkg.tar.xz' i to wszystko, powinno iść, za pierwszym razem nigdy się nie udaje, więc klikam drugi raz, zawsze za pierwszym razem daje błąd, to wszystko

      PS: wyjaśnij, że sudo pacman -U i nie -S, ponieważ jest to pakiet lokalny uzyskany z makepkg

      1.    wafe powiedział

        Dziękuję bardzo za zainteresowanie.
        Próbowałem tyle razy, że już na pamięć znam zależności i komentarze do pakietów podczas instalacji z yaourt. Postąpię zgodnie z twoją radą dotyczącą programu uruchamiającego i zobaczę, czy mam szczęście. Powiem Ci.
        Powtarzam moje podziękowania

        Felipe

        1.    wafe powiedział

          Tak czy inaczej to nie działa. Próbowałem z linkiem, który umieściłeś w komentarzach, ale nie rozwiązuje go, rozpoznaje link, daje mi opcję wyboru programu, wybieram program uruchamiający acestream, ale VLC się nie otwiera.
          W konsoli daje mi następującą odpowiedź.

          Plik «/usr/lib/python3.6/site-packages/psutil/startowych.py », wiersz 1231, w _send_signal
          os.kill (self.pid, sig)

          Będziemy musieli poczekać na nowe aktualizacje.
          Dzięki za pomoc.

  11.   wafe powiedział

    Po nowej aktualizacji odpowiedź w konsoli jest następująca.

    acestream-launcher acestream://0cec6c0299c99f45c1859398d150c3a48e6d8b2e
    Silnik Acestream pracuje.
    2017-07-28 18: 16: 59,615 | MainThread | acestream | błąd podczas uruchamiania
    Traceback (ostatnie połączenie ostatnio):
    Plik «core.c», wiersz 1590, w
    Plik «core.c», wiersz 144, w
    Plik «core.c», wiersz 2, w
    ImportError: nie można zaimportować nazwy __m2crypto
    Błąd uwierzytelniania w Acestream!
    Media Player nie działa ...

    Ulepszamy, teraz rozpoznaje acestream, ale libcrypto nadal walczy.

    1.    wafe powiedział

      Próbowałem zainstalować pakiet, który polecasz w linku, który mi przesłałeś.

      - https://archive.archlinux.org/packages/p/python2-m2crypto/python2-m2crypto-0.23.0-2-x86_64.pkg.tar.xz

      I skutecznie rozwiązuje problem, otwiera vlc i działa Acestream.
      Bardzo ci dziękuje za pomoc-

      1.    Alejandro powiedział

        Witam przepraszam za spóźnienie to było bardzo dziwne że u Ciebie nie zadziałało jak działało jestem w Arch plazmy cieszę się że Ci pomogło, po to nam

        W innej dystrybucji, którą mam, czyli Fedorą, mam emulację Wine emulującą strumień acestream dla systemu Windows xD, na wypadek gdybyś przeszedł do innej dystrybucji lub samego Archa, zaskakuje mnie to, że nawet w Debianie nie mają tych pakietów ...

      2.    producent przysmaków01 powiedział

        Witam a plik jest jak jest zainstalowany Jestem jeszcze nowicjuszem pozdrawiam

        1.    wafe powiedział

          sudo pacman -U python2-m2crypto-0.23.0-2-x86_64.pkg.tar.xz

          Umieszcza to w komentarzu powyżej

  12.   chemaby powiedział

    Wczoraj zainstalowałem go jako pakiet przystawki w Kde Neon 5.8 i byłem zdumiony, jak proste i szybkie działa dla mnie. Byłoby miło, gdybyś zaktualizował artykuł, ponieważ nie ma porównania, proces jest znacznie uproszczony.

    sudo apt install snapd → zainstaluj system zarządzania pakietami snap (jeśli go nie masz zainstalowanego)
    snap znajdź acestream → aby sprawdzić, czy mamy program w repozytoriach (wszystkie pochodne ubuntu powinny go mieć)
    sudo snap zainstaluj acestreamplayer

    pozdrowienia

    1.    Antonio Manzano powiedział

      Masz rację. Właśnie zainstalowałem go w kubuntu 17.10, ponieważ metoda, która się tutaj pojawia, jest całkowicie niewykonalna. Dziękuję bardzo

      1.    Tatuś powiedział

        nie dotyczy architektury i386

    2.    sie9k powiedział

      To był jedyny sposób na zainstalowanie go na Lubuntu 16.04.4, ale nie mam możliwości zapisania pliku konfiguracyjnego i muszę skonfigurować parametr, aby działał razem z Serviio. Jakieś pomysły, jak to naprawić?

  13.   José Antonio powiedział

    Bardzo dobry post. Strona internetowa, którą trzeba przeczytać dla początkujących użytkowników Linuksa.

  14.   Peter the Rookie powiedział

    Jak zainstalowałbyś to dla AntiX 16 (to dystrybucja Linuksa)?

    Próbowałem jak Arch Linux i jego pochodne, ale jestem takim nowicjuszem, że muszę się pomylić

  15.   Alejandro powiedział

    Witam, dzięki pakietom sna, które kolega powyżej komentuje w komentarzu, stało się łatwiej nie tylko dla tych dystrybucji ale dla wielu. Dystrybucje kompatybilne z tymi pakietami są tutaj:
    https://snapcraft.io/

    W Debianie wyglądałoby to następująco:
    - sudo apt zainstaluj snapd
    -sudo snap zainstalować rdzeń
    -sudo snap zainstaluj acestreamplayer
    W Arch i pochodnych:
    -sudo pacman -S snapd
    -sudo systemctl włącz –now snapd.socket
    -sudo snap zainstaluj acestreamplayer

    W Arch (plazmie) musiałem zrestartować, aby pojawiły się zainstalowane pakiety, jeśli się nie pojawiły już wiesz, co robić.

    Na Ubuntu i pochodnych myślę, że będzie tak, jak partner, który zainstalował go powyżej w komentarzach z KDE neon.

    Ciekawe, że w Gnome z Debianem wygląda dość brzydko i nie integruje się dobrze z GTK, ale w plazmie Arch integruje się całkiem dobrze, ważne jest to, że jest postrzegany poza estetyką.

    1.    William powiedział

      czy to instaluje silnik acestream?
      Nie ja

      1.    Alejandro powiedział

        Witam, nie, nie instaluje go ani nie musi, z pakietami snap są już dostępne wszystkie zależności, musi działać tak lub tak.

    2.    txuber powiedział

      Cześć Alejandro, zobacz, czy możesz mi pomóc
      [txuber @ manjaro ~] $ sudo systemctl enable –now snapd.socket
      Nie udało się włączyć jednostki: plik jednostki \ xe2 \ x80 \ x93now.service nie istnieje.
      na manjaro Manjaro XFCE Edition (17.0.4) x64

      1.    Alejandro powiedział

        Witam Manjaro to nie jest czysty Arch i może się trochę zmienić, może już jest włączony i nie jest to konieczne, przypuszczam, że próbowałeś już pominąć ten krok ...

  16.   Debian powiedział

    Po zainstalowaniu, co robić? Ponieważ gracz asowy nie jest zainstalowany, nie wiem, jak to zrobić.
    Niech ktoś mi pomoże?

    1.    wafe powiedział

      Jeśli zainstalowałeś program uruchamiający acestream, po kliknięciu linku acestream zapyta Cię, z którą aplikacją chcesz otworzyć łącze, powiesz mu to za pomocą VLC, a to będzie pełnić funkcje asa-odtwarzacza

      1.    Debian powiedział

        Cześć. Przede wszystkim bardzo dziękuję za pomoc. Komentuję. Zainstalowałem pakiet snap acestream w Debianie 9 z gnome. Kiedy w arenavisión, po co go chcę, klikam łącze do transmisji strumieniowej i pojawia się okno, które daje mi dwie opcje, pierwsza to acestreamengine, która po kliknięciu nic nie robi, a druga wybiera inną aplikację, daję ją wybrać, ale zainstalowane aplikacje się nie otwierają, otwiera się mój katalog domowy, więc nie wiem, jak wybrać vlc.

        Pozdrowienia.

        1.    Alejandro powiedział

          W przypadku programu uruchamiającego acestream nie działa to całkiem dobrze, lepiej zainstaluj z pakietem Snap, jak wyjaśnię w powyższym komentarzu.

  17.   Peter the Rookie powiedział

    Próbuję zainstalować pakiet snapd, ale nie pozwala mi:

    sudo apt install snapd
    Czytanie listy pakietów ... Gotowe
    Tworzenie drzewa zależności
    Czytanie informacji o stanie ... Gotowe
    E: Nie można znaleźć pakietu snapd

    co robię?

  18.   Alf powiedział

    Bardzo dziękuję, jest to jeden z programów, których używałem w systemie Windows i chciałem mieć go w Linuksie

  19.   Oscar powiedział

    Dzięki Chemabs i Alejandro! Idealnie współpracuje z Ubuntu 17.10
    sudo apt install snapd
    snap znajdź acestream
    sudo snap zainstaluj acestreamplayer
    I to wszystko!
    Niesamowite jest to, że wchodzisz na oficjalną stronę i wysyłają ci post na swoim forum z 2014 roku! I w którym wspominają tylko o Ubuntu 13.04!

  20.   Marco Barria powiedział

    dobrze, jak mówią w poprzednich komentarzach działa idealnie z zatrzaskiem w łuku:

    sudo pacman -S snapd
    sudo systemctl włącz snapd.socket
    restart
    sudo snap zainstaluj acestreamplayer
    restart

    i gotowy :

  21.   mchavez powiedział

    cześć, i czy istnieje sposób na zainstalowanie strumienia asów bez konieczności bycia programistą ... tak jak w przypadku Windows